Status: In Progress Start date: 15 Mar 2013

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 40%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.35 hour

Description

Syz for modules with non-homogeneous input.

Maybe the CoCoALib code works, but....

needs proper testing.

/**/ Use R ::= QQ[x,y,z];

/**/ I := ideal(x^2, x*y-1);

/**/  syz(gens(I));

submodule(FreeModule(RingWithID(3,"QQ[x,y,z]"), 2), [[x*y -1, -x^2]])

/**/ syz(It);

Related issues:

Related to CoCoA-5 - Feature #330: Syzygy for modules: homogeneous module Closed 15 Mar 2013

Related to CoCoALib - Feature #1206: syz, SyzOfGens: which shifts for zero? Closed 02 Aug 2018

History

#1 - 28 Jul 2014 16:34 - Anna Maria Bigatti

- Subject changed from Syzygy for modules to Syzygy for modules: non-homogeneous module

- Status changed from In Progress to New

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?

- % Done changed from 20 to 10

#2 - 26 Mar 2024 10:02 - Anna Maria Bigatti

- Status changed from New to Feedback

- Target version changed from CoCoA-5.?.? to CoCoA-5.4.2

- % Done changed from 10 to 90

This issue is old.

I'm making a test file test-sys.cocoa5.

I'll update and write there what we have working for homog and non-homog modules and ideals.

#3 - 26 Mar 2024 10:06 - Anna Maria Bigatti

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.4

- % Done changed from 90 to 10

#4 - 26 Mar 2024 17:14 - John Abbott

Good idea to make comprehensive tests.... perhaps not easy.

Why "feedback" and 10% complete?

#5 - 27 Mar 2024 17:24 - Anna Maria Bigatti
- Status changed from Feedback to In Progress

#6 - 27 Mar 2024 17:29 - Anna Maria Bigatti

- % Done changed from 10 to 40

#7 - 27 Mar 2024 17:31 - Anna Maria Bigatti

- Project changed from CoCoA-5 to CoCoALib

- Category changed from CoCoA-4 function to be added to Improving

- Target version changed from CoCoA-5.4.4 to CoCoALib-0.99880

I moved this issue from CoCoA-5 to CoCoALib

#8 - 28 Mar 2024 07:40 - Anna Maria Bigatti

- Related to Feature #1206: syz, SyzOfGens: which shifts for zero? added
